summaryrefslogtreecommitdiff
path: root/ruby_1_9_3/bin/rdoc
diff options
context:
space:
mode:
Diffstat (limited to 'ruby_1_9_3/bin/rdoc')
-rwxr-xr-xruby_1_9_3/bin/rdoc40
1 files changed, 40 insertions, 0 deletions
diff --git a/ruby_1_9_3/bin/rdoc b/ruby_1_9_3/bin/rdoc
new file mode 100755
index 0000000000..20d866c220
--- /dev/null
+++ b/ruby_1_9_3/bin/rdoc
@@ -0,0 +1,40 @@
+#!/usr/bin/env ruby
+#
+# RDoc: Documentation tool for source code
+# (see lib/rdoc/rdoc.rb for more information)
+#
+# Copyright (c) 2003 Dave Thomas
+# Released under the same terms as Ruby
+
+begin
+ gem 'rdoc'
+rescue NameError => e # --disable-gems
+ raise unless e.name == :gem
+rescue Gem::LoadError
+end
+
+require 'rdoc/rdoc'
+
+begin
+ r = RDoc::RDoc.new
+ r.document ARGV
+rescue SystemExit
+ raise
+rescue Exception => e
+ if $DEBUG_RDOC then
+ $stderr.puts e.message
+ $stderr.puts "#{e.backtrace.join "\n\t"}"
+ $stderr.puts
+ elsif Interrupt === e then
+ $stderr.puts
+ $stderr.puts 'Interrupted'
+ else
+ $stderr.puts "uh-oh! RDoc had a problem:"
+ $stderr.puts e.message
+ $stderr.puts
+ $stderr.puts "run with --debug for full backtrace"
+ end
+
+ exit 1
+end
+